Наш чат в Telegram для обмена идеями, проектами, мыслями, людьми в сфере ИТ г.Ростова-на-Дону: @it_rostov

imagelayereffect

(PHP 4 >= 4.3.0, PHP 5)

imagelayereffect — Установка флага альфа сопряжения для использования эффектов наложения изображений встроенной libgd библиотеки


Описание

bool imagelayereffect ( resource $image , int $effect )

Установка флага альфа сопряжения для использования эффектов наложения изображений встроенной libgd библиотеки.


Список параметров

image -

Ресурс изображения, полученный одной из функций создания изображений, например, такой как imagecreatetruecolor().

effect -

Одна из следующих констант:

IMG_EFFECT_REPLACE - Использовать замену пикселов (аналогично передаче TRUE в imagealphablending())

IMG_EFFECT_ALPHABLEND - Использовать обычное сопряжение цветов (аналогично передаче FALSE в imagealphablending())

IMG_EFFECT_NORMAL - То же, что и IMG_EFFECT_ALPHABLEND.

IMG_EFFECT_OVERLAY - В результате наложения картинки с этим эффектом черные и белые пикселы фона изображения останутся так же черными и белыми, а серые поменяют цвет на цвет пиксела накладываемого изображения.


Возвращаемые значения

Возвращает TRUE в случае успешного завершения или FALSE в случае возникновения ошибки.


Примеры

Пример #1 Пример использования imagelayereffect()

// Задание изображения
$im = imagecreatetruecolor(100, 100);
// Установка фона
imagefilledrectangle($im, 0, 0, 100, 100, imagecolorallocate($im, 220, 220, 220));
// Применение флага альфа сопряжения - overlay
imagelayereffect($im, IMG_EFFECT_OVERLAY);
// Рисуем два серых эллипса
imagefilledellipse($im, 50, 50, 40, 40, imagecolorallocate($im, 100, 255, 100));
imagefilledellipse($im, 50, 50, 50, 80, imagecolorallocate($im, 100, 100, 255));
imagefilledellipse($im, 50, 50, 80, 50, imagecolorallocate($im, 255, 100, 100));
// Вывод
header('Content-type: image/png');
imagepng($im);
imagedestroy($im);

Результат выполнения:

Примечания

Замечание: Эта функция доступна только в случае, если PHP был скомпилирован со встроенной библиотекой GD.

Замечание: Эта функция нуждается в GD версии 2.0.1 или выше.




Смотрите также:
Описание на ru2.php.net
Описание на php.ru